#include <iostream>
using namespace std;
int main()
{
    int a, b, c, d, e, br = 0;
    cin >> a >> b >> c >> d >> e;
    if(a==e){
        br=4;
    } else if(b==e){
        br=4;
    } else if(c==e){
        br=3;
        if(a+b>e){
            br++;
        }
    } else if(d==e){
        br=2;
        if(a+b>e){
            br++;
            if(a+c>e){
                br++;
            }
        } else {
            if(a+b+c>e){
                br++;
            }
        }
    } else {
        br = 1;
        if(a+b>e){
            br++;
            if(a+c>e){
                br++;
                if(a+d>e){
                    br++;
                }
            }
        } else {
            if(a+b+c>e){
                if(a+c<=e){
                    br++;
                    if(b+d>e){
                        br++;
                    }
                } else {
                    br++;
                    if(c+d>e){
                        br++;
                    }
                }
            }
        }
    }
    cout << br << endl;
    return 0;
}